<?php
  //
  // Fully customized sidebar
  //

  //
  // Edit your Referral ID campaign at _config.php
  //

  //
  // 1 - Create your HTML code here
  //

  //
  // 2 - (Optional) Remove the Automated Network How It Works snippet code below:
  //
  $snippet = 'amnw_how_it_works&rid='.$referral_campaign_id;
  $position = 'sidebar';
  $json_data = fc_json_data_amnw_snippet($snippet,$position);
  if(isset($json_data[0]['amnw_snippet'])) {
    echo '<div class="mb-4">';
    echo htmlspecialchars_decode($json_data[0]['amnw_snippet']);
    echo '</div>';
  }
?>

<div class="mb-4">
  <?php include('layouts/ads/sidebar_ad.php'); ?>
</div>

<div class="mb-4">
  <?php
    $category_slug = 'all_categories';
    $position = 'sidebar';
    $quantity = 5;
    $page_number = 0;
    $json_data = fc_json_data_videos_category($category_slug,$position,$quantity,$page_number);

    if(isset($json_data[0]['id'])) {
      echo '
      <div id="sidebar_grid_videos_posts" class="border rounded px-0 px-md-4 pt-4 mb-4 sm_border_none">
        <div class="mb-3 fw-bold">
          Sidebar <span class="theme_font_color">Videos</span>
          <HR class="text-secondary mb-4">
        </div>
        ';

        for ($number=0; $number < 5; $number++) {
          if(isset($json_data[$number]['id'])) {
            include 'layouts/assemble/grid_post_video_item.php';
          }
        }
       echo '</div> <!-- /#sidebar_grid_videos_posts -->';
     }
  ?>
</div>

<div class="sticky_ad mb-4">
  <?php include('layouts/ads/sticky_ad.php'); ?>
</div>
