<div id="category_page" class="container-fluid">
  <div class="row">
    <div class="col-lg-2 col-md-4 p-0">
      <?php include 'layouts/assemble/side_videos_menu_layout.php'; ?>
    </div> <!-- /#menu_side -->

    <div id="content" class="col-lg-10 col-md-8 mt-4 p-sm-0 px-2">
      <div id="content_grid" class="container px-2 mb-4">
        <div class="mb-4">
          <?php include('layouts/ads/leaderboard_ad.php'); ?>
        </div>

        <div class="row">
          <div id="grid_posts" class="col-lg-8">
            <div id="browse_videos" class="mb-4">

              <h1 class="fs-5 fw-bold"><?php echo $json_data[0]['category']; ?></h1>
              <HR class="text-secondary mb-4">

                <div id="#grid_posts" class="row row-cols-md-1 row-cols-lg-3 g-3 pt-3">
                  <?php
                    for ($number=0; $number < $json_data[0]['quantity_found']; $number++) {
                      if(isset($json_data[$number]['id'])) {
                        include('layouts/assemble/grid_post_video_item.php');
                      }
                    }
                  ?>
                </div> <!-- /#grid_posts -->

                <?php
                if($json_data[0]['page_numbers'] > 1) {

                  $page_numbers = $json_data[0]['page_numbers'];
                  if(isset($_GET['page_number']) > 0) { $current_page_number = $_GET['page_number']; } else { $current_page_number = 1; }

                  echo '<div id="pagination" class="mb-5 my-mb-5">';

                      if($current_page_number >= 2 && $current_page_number <= $page_numbers) {
                        $previous_page_number = $current_page_number -1;
                        echo '<a class="btn btn-lg btn-outline-dark" href="'.$base_url.'/category/'.$json_data[0]['category_slug'].'/'.$previous_page_number.'">Previous</a>';
                      } else {
                        echo '<a class="btn btn-lg btn-outline-secondary disabled">Previous</a>';
                      }

                      if($current_page_number >= 1 && $current_page_number < $page_numbers) {
                        $next_page_number = $current_page_number + 1;
                        echo '<a class="btn btn-lg btn-outline-dark mx-2" href="'.$base_url.'/category/'.$json_data[0]['category_slug'].'/'.$next_page_number.'">Next</a>';
                      } else {
                        echo '<a class="btn btn-lg btn-outline-secondary mx-2 disabled">Next</a>';
                      }

                  echo '</div> <!-- /#pagination -->';
                }
                ?>
              </div> <!-- /#browse_videos -->

              <hr class="text-secondary mobile_hide mb-4">

              <div class="mb-4 sticky_ad">
                <?php include 'layouts/ads/billboard_ad.php'; ?>
              </div>
            </div> <!-- /#grid_posts -->

          <div id="content_sidebar" class="col-lg-4">
            <?php include('layouts/assemble/sidebar_layout.php'); ?>
          </div> <!-- /#content_sidebar -->

        </div> <!-- /.row #content_grid -->
      </div> <!-- /#content_grid -->
    </div> <!-- /#content -->
  </div> <!-- /.row #category_page -->
</div> <!-- /#category_page -->
