<div id="videos_home_page" class="container-fluid">
  <div class="row">
    <div class="col-lg-2 col-md-4 p-0">
      <?php include 'layouts/assemble/side_videos_menu_layout.php'; ?>
    </div>

    <div id="content" class="col-lg-10 col-md-8 col-sm-12 p-0">
      <div class="mb-4">
        <?php include 'layouts/assemble/featured_videos_layout.php'; ?>
      </div>

      <div id="content_grid" class="container mb-4 px-2">
        <div class="mb-4">
          <?php include 'layouts/ads/full_banner_ad.php'; ?>
        </div>
        <div class="row">
          <div id="grid_posts" class="col-lg-8">
            <div id="browse_videos">
              <?php
                $category_slug = 'all_categories';
                $position = 'home';
                $quantity = 30;
                $page_number = 1;
                $json_data = fc_json_data_videos_category($category_slug,$position,$quantity,$page_number);

                if(isset($json_data[0]['id'])) {
                  echo '<h5 class="fw-bold">Home <span class="theme_font_color">Videos</span></h5>';
                  echo '<HR class="text-secondary mb-4">';
                }
              ?>
              <div class="row row-cols-md-1 row-cols-lg-3 g-3 pt-3">
                <?php
                if(isset($json_data[0]['id'])) {
                  for ($number=0; $number < $json_data[0]['quantity_found']; $number++) {
                    if(isset($json_data[$number]['id'])) {
                      include('layouts/assemble/grid_post_video_item.php');
                    }
                  }
                }
                ?>
              </div> <!-- /.row #browse_videos -->
            </div> <!-- /#browse_videos -->

            <hr class="text-secondary mobile_hide mb-4">

            <div class="mb-4 sticky_ad">
              <?php include 'layouts/ads/billboard_ad.php'; ?>
            </div>
          </div> <!-- /#grid_posts -->

          <div id="content_sidebar" class="col-lg-4">
            <?php include('layouts/assemble/sidebar_layout.php'); ?>
          </div> <!-- /#content_sidebar -->

        </div> <!-- /.row #content_grid -->
      </div> <!-- /#content_grid -->

    </div> <!-- /#content -->
  </div> <!-- /.row #videos_home_page -->
</div> <!-- /#videos_home_page -->
